DCL - text and listbox sizing

#1
I'm working on a small module for the HVAC coding .
Ebow dialog.png
Ebow dialog.png (8.22 KiB) Viewed 7408 times
For some reason I cannot reduce the height of the swept angle list box, is there a minimum value??
Also, I wanted to make the title text BOLD, but failed. :(

Code below,
(note I have had to remove a number of ':' in the code as the website does not like them !!!!!)

Code: Select all

CDUCTE : dialog {
        label = "Cylindrical Duct Elbow Dimensions";
        edit_box {
        label = "&Internal Diameter Ø (mm)";
	is_bold= true;
        key = "ID1";
        edit_width = 5;
        allow_accept = true;
				}
        edit_box {
        label = "&Wall Thickness (mm)";
        key = "WT1";
        edit_width = 5;
        allow_accept = true;
				}
       edit_box {
        label = "&Center Line Radius (mm)";
        key = "CL1";
        edit_width = 5;
        allow_accept = true;
				}
//
		row   {
		column {
		text {	label = "Swept Angle"; width = 15;}	
				}
		column {	
		list_box { 
		width = 5.5;
		height = 2;
		fixed_height = true;
		key = "AG1";
		}
		}
		}
//		
     ok_cancel ;
     text_part {
         label = "Designed and Created";
      }
     text_part {
         label = "by Steve Nichols";
      }
     }
     
CMS INTELLICAD 12.1.243.153262.PE+.VC16.x64.CMS121

i9-12900k / 64gb-3200 - NVIDIA GeForce TRX 3060 Ti 8Gb Windows 11 Pro
www.stylemarkdesigns.co.uk

Re: DCL - text and listbox sizing

#2
I've made progress.
First I should have used 'popup' list:
Ebow dialog2.png
Ebow dialog2.png (8.55 KiB) Viewed 7247 times
Still unable to change the text to bold :(

However I now have a new issue, searched all day on the internet, just confused myself even more :(
Current problem, how do I capture the selected value from the popup list :?:
I can get the 'position' in the list, but not the actual value
Current ID is: = 250
Current WT is: = 1
Current CL Rad is: = 125
Current angle is: = 4
lsp code:

Code: Select all

(defun C:CDUCTE ()
	(setq alist (list "" "15" "30" "45" "60" "90"))
;
	(setq dcl_id (load_dialog "CDUCTE.dcl"))
	(if (not (new_dialog "CDUCTE" dcl_id))
    (exit)
  );if
;
    (start_list "aglist")
    (mapcar 'add_list alist)
    (end_list)
	(if #val
      (set_tile "aglist" (itoa (setq val #val)))
      (set_tile "aglist" (itoa (setq val 0)))
    );if
;
;--------------SET INITIAL DEFAULT VALUES FOR DISPLAY------------------;  
	(setq	ID 100
			WT 1.8
			CL 100
			mm_ins "mm_"
	);setq
;
	(set_tile "ID1" "100")							;SET INITIAL VALUE
	(set_tile "WT1" "1.8")							;SET INITIAL VALUE
	(set_tile "CL1" "100")							;SET INITIAL VALUE
	(mode_tile "ID1" 2)								;SET FIRST ENTRY BOX
;
(defun CD_SHAPE ()
	(princ (strcat "\nCurrent ID is: = " id " "))	
	(princ (strcat "\nCurrent WT is: = " wt " "))	
	(princ (strcat "\nCurrent CL Rad is: = " cl " "))	
) ;end CD_SHAPE
;-----------------------------------------------------------------------;
;----------------------------ACTION TILE STATEMENTS---------------------; 
	(action_tile "aglist" "(setq val (atoi $value))")
	(action_tile "cancel" "(done_dialog)" )    		;if cancel selected do this
	(action_tile "accept"
		(strcat
			"(progn (setq ID (get_tile \"ID1\"))"
			"(setq WT (get_tile \"WT1\"))"
			"(setq CL (get_tile \"CL1\"))"		
			"(done_dialog))"
		)
	); END ACCEPT ACTION TILE		
;-----------------------------END OF ACTION TILE STATEMENTS--------------;  
; (defun DIALOG () continued
	(start_dialog)											;start dialog
	(unload_dialog dcl_id)
	(CD_SHAPE)
;	(princ (strcat "\nCurrent VERSION for the lisp file is: = " ver " "))
	(princ (strcat "\nCurrent angle is: = " (rtos val) " "))
(princ)
);defun
;CODING ENDS HERE
As beforw ':' deleted due to website issues :(
DCL code:

Code: Select all

CDUCTE : dialog {
        label = "Cylindrical Duct Elbow Dimensions";
       edit_box {
        label = "&Internal Diameter (mm)";
		is_bold = true;
        key = "ID1";
        edit_width = 5;
        allow_accept = true;
				}
       edit_box {
        label = "&Wall Thickness (mm)";
        key = "WT1";
        edit_width = 5;
        allow_accept = true;
				}
       edit_box {
        label = "&Center Line Radius (mm)";
        key = "CL1";
        edit_width = 5;
        allow_accept = true;
				}
//
		 row   {
		 column {
		text {	label = "Choose Swept Angle"; width = 20;}	
				}
		 column {
//		
		 popup_list {
		key = "aglist" ;
		width = 8;
		fixed_width = true;
                list = "";
				}
//				
				}
				}
//		
     ok_cancel ;
     text_part {
         label = "Designed and Created";
      }
     text_part {
         label = "by Steve Nichols";
      }
     }
CMS INTELLICAD 12.1.243.153262.PE+.VC16.x64.CMS121

i9-12900k / 64gb-3200 - NVIDIA GeForce TRX 3060 Ti 8Gb Windows 11 Pro
www.stylemarkdesigns.co.uk
cron